version: 2
registries:
  dockerhub:
    type: docker-registry
    url: https://registry.hub.docker.com
    username: octocat
    password: password
updates:
  - package-ecosystem: bundler
    directory: "/"
    schedule:
      interval: weekly
      day: sunday
      time: "02:00"
      timezone: Europe/Riga
    commit-message:
      prefix: "dep"
      prefix-development: "bundler-dev"
      include: "scope"
      trailers:
        - changelog: "dep"
    milestone: 0.0.1
    ignore:
      - dependency-name: rspec
        versions: ["3.x", "4.x"]
      - dependency-name: "faker"
        update-types: ["version-update:semver-major"]
    assignees:
      - john_doe
    reviewers:
      - john_smith
    approvers:
      - "jane_smith"
    open-pull-requests-limit: 10
    labels:
      - dependency
    pull-request-branch-name:
      separator: "-"
    versioning-strategy: lockfile-only
    rebase-strategy: auto
    auto-merge: true
    groups:
      frontend:
        patterns:
          - "vuejs"
